Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 567)
+++ MLXMANIFEST	(revision 571)
@@ -7,5 +7,5 @@
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/gtk/_gtk.pyc	549	7c01e3ea50f281e29abb7978d2b2168c
+library/gtk/_gtk.pyc	549	d343fcf49bc0452dda72c826b2b96780
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
 library/mlx/pirep.pyc	4623	2a008f269c900fb604b94b4e427f61b5
@@ -22,5 +22,5 @@
 doc/manual/hu/bugreport.png	12385	c71c7db56f19870ae5d6bb7f533d3679
 library/share/locale/hu/LC_MESSAGES/gtk20.mo	58794	6ee4491ae7bc9d3dfb778578eb29a0b3
-library/gobject/_gobject.pyc	573	7c2f90e0e695b5b62cd85ccc408cbfa2
+library/gobject/_gobject.pyc	573	856af55be147fe6e39da5b85affc1eb1
 locale/en/LC_MESSAGES/mlx.mo	63614	f1ec02622dac249b0b132481f1f1baac
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
@@ -76,5 +76,5 @@
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 doc/manual/en/monitorWindow.png	20886	42e08d10c758e21209c4c021f391dee7
-library/_hashlib.pyc	549	37fb150ca2ca7307b51d0283888925fa
+library/_hashlib.pyc	549	dd81ace6193aae226eb25b3ead5f2caa
 library/libpng14-14.dll	230529	f3a15497e25baaa721f96638d7a4d2f8
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
@@ -131,19 +131,21 @@
 library/mlx/gui/common.pyc	10360	7df358ff4712e26051ec36a9dbe353b3
 library/dummy_threading.pyc	1265	5ab5c897721aeb346b5bccb84066c5bd
-doc/manual/hu/index.html	51903	4bfbb26709c699f21fe593cb4efd2d98
+library/markupbase.pyc	9010	b33ff430e9b1adba3d540b5394ff289a
 library/encodings/cp1258.pyc	2681	5c09b3b0a82036b0e785422376cb64cc
 sounds/767taxi.mp3	160496	4cb43cda6e1214fbe15328a716827345
 doc/manual/en/prefsAdvanced.png	16169	64c14e0842c413cac98b92926279f3e0
-library/cairo/_cairo.pyc	561	1a1d51aa0f14fe6b4ba716602209c664
-library/win32file.pyc	552	b8f8904188b0db20c61179173c550b4c
+library/mlx/pyuipc_sim.pyc	57183	11246ecca37406ce4b90df909f752189
+library/cairo/_cairo.pyc	561	59c2c639149545f61c15160481a8c1fd
+library/win32file.pyc	552	eb516554a54f9d78c2e0f525eda2072c
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
 library/unittest/__init__.pyc	2945	3b9d3992b823bd7bc391d8b1bb434310
 sounds/sikoly.mp3	126222	b0bb88361b253cd21bfd3706524f4aec
+library/HTMLParser.pyc	11589	f641df5331b5bb552ebe180f79b85a6b
 library/bz2.pyd	76800	1ca9ececd2c84b80996fe632627f857f
 library/encodings/iso8859_16.pyc	2695	85e819a29dec2b601ce978dcd5a040fc
 library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 conn_red.png	914	860388cb7c3b26b2f348fdbee40780ce
-library/bz2.pyc	534	41e46b79d9b1329ec36fad3aa13ece12
+library/bz2.pyc	534	d87a1f57fa5a63a4d864100194a82671
 library/xml/sax/expatreader.pyc	13563	4f64c0efb2f1f8dbba84cdb5c6036f2d
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
@@ -161,6 +163,6 @@
 library/mlx/gui/statusbar.pyc	4812	87773f7d0bd28ed6250acf1972110ca8
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
-mlxupdate.exe	19456	b73b528e494041d3d5ff32fd6aecf432
-library/mlx/const.pyc	6709	c3863fec6fa25f94f7254242422e0344
+mlxupdate.exe	19456	d49ffe982f2addf32f44ae2e80fb6765
+library/mlx/const.pyc	6707	ef1fdef425ac156f71ec336b8da1dedc
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -175,5 +177,5 @@
 library/shlex.pyc	7282	cbe1a4823894c97c87d01f9d9faf5b8f
 library/cairo/__init__.pyc	142	010dd7cc8485565d5782d60e92e4ba34
-library/_ssl.pyc	537	84b475ed7eb39cb1c909550ea3ccf976
+library/_ssl.pyc	537	3bea0e876725bb715eb19c4b36bbbf12
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
@@ -183,5 +185,4 @@
 library/struct.pyc	219	421271d66b783c3f13c37ec09efa8b65
 library/httplib.pyc	35251	2ac8119676b4b02ed78fd020ea423de5
-library/cmd.pyc	13512	808f813d5e354b7073a1356e44c7b554
 doc/manual/en/bugreport.png	11730	a649c456acbbfa0419d183a7b8261c01
 python27.dll	2206720	f8f39495ed4a813e8f3049a4b9f5cff4
@@ -196,6 +197,6 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
-library/unicodedata.pyc	558	a2c1f99440e0dd11f0021b0cce2d15d7
-library/select.pyc	543	9786710b1bb2d7e884e94e094f69d6aa
+library/unicodedata.pyc	558	58ecc3b73e101ce03f7b6f6249d89423
+library/select.pyc	543	d8bc6fe5949f8ffcc14918061d256d1d
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -205,5 +206,5 @@
 library/email/base64mime.pyc	5221	c536d6f0c03f029bba77f15ef6ba3d99
 library/gettext.pyc	14675	606ad2e00535dd0f4fee5bd8d8562b29
-doc/manual/en/statusIcon1.png	6472	10a7158dd8655de3f18ba914eb2373a5
+logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
 library/libpangoft2-1.0-0.dll	815421	1dbfead06e26edb81f0849490210e3ff
 library/random.pyc	24831	54b2048974a5c98912276ffa5dc637a9
@@ -216,8 +217,8 @@
 library/_strptime.pyc	14347	ad17a449b54061177a080e3a21507a39
 library/mlx/singleton.pyc	9184	3b71000d428959ab355db2658cea9557
-library/locale.pyc	48754	a51d20267132acc6bc66ac6252cf870f
+library/mlx/airports.pyc	4350	e6852c03d931caa17646118c38e6f8f1
 library/xplra.pyc	32012	50a1d9f19c0cc88783d264909ad1c678
 library/socket.pyc	15488	35f8eb455d6d8df8e19826d1dd7193f2
-sounds/notify.wav	119384	108025b17f67e61946df5d7fbf713cdb
+doc/manual/en/statusIcon1.png	6472	10a7158dd8655de3f18ba914eb2373a5
 doc/manual/hu/prefsAdvanced.png	16738	d39884283d7c0f25efa3dc97328749a3
 library/encodings/euc_kr.pyc	1646	af2a5eaf1ea334c3f3bd60ea13db33a9
@@ -229,5 +230,5 @@
 doc/manual/hu/flightInfoTab.png	28786	3e8af27775131f02696b0912ca441f36
 library/encodings/utf_8_sig.pyc	4625	1b1405db186e5819fa271ff96c1ca2c5
-library/pangocairo.pyc	555	81c37c6cd5cf3a9f84aecd46014cc7be
+library/pangocairo.pyc	555	1b486a2a7cd9697632d0057d493d7f27
 library/encodings/cp1255.pyc	2697	b265913c887f2e1c8736632b652c0093
 library/encodings/zlib_codec.pyc	4308	319c9073aff840436a03cc1fa0b08fb5
@@ -236,5 +237,5 @@
 doc/manual/hu/connect.png	28822	929f3eb85ee3cad019e12017c923f664
 library/encodings/palmos.pyc	2876	9284ad53dcfd82dfae0a79923b1cf91d
-library/mlx/web.pyc	30343	aa7fdb138e521d1c3cc5111b3000bdf8
+library/mlx/web.pyc	36866	d688d54ecbcbdade21e3fa21a55b8c5f
 library/mlx/gui/gates.pyc	5384	9f6acad03872832505e31406a1b6762b
 library/email/feedparser.pyc	10682	4de6a63da8dc270c9881edb9c2f28508
@@ -242,5 +243,5 @@
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
-library/pyuipc.pyc	543	05db82b566b5ed4e543698735651dacf
+library/pyuipc.pyc	543	80291e33c7786b3f3d36af2a1df69499
 sounds/TOC.mp3	273032	fae1be2ad25c8b54806bd1d759919705
 library/encodings/iso8859_4.pyc	2678	16f2fe7994051752360c533c052b892b
@@ -266,11 +267,11 @@
 doc/manual/hu/flightSelection.png	30815	e8bcdda6079c6b16ffa72ca62c21ca85
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	d1dd6ccfbe3f85cbb255441fdc6c0711
+library/win32pipe.pyc	552	088b9e4256088d34e5533600dd1c0acc
 doc/manual/hu/cruise.png	27460	a2610173563e45baae1b0f9e63007ebd
 doc/manual/hu/logTab.png	28706	f48004202310bd2a1cb2f873d8064e93
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
-library/win32event.pyc	555	e2bc219b958d6030c22aff8cf85c98a0
+library/win32event.pyc	555	c70d53093c5ef267b362c3c266469cc0
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	9b7e4a6304e0d7abe0d27461d8f366ac
+library/gio/_gio.pyc	549	b9770743a726759ec517afb6f2a8cbf1
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/helpTab.png	27961	8e7cc4aeb8d7f40fcf186c7caf53583b
@@ -295,5 +296,5 @@
 library/mlx/gui/pirep.pyc	16749	7a295b28dbdad43b33c52d814be60792
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/_ctypes.pyc	546	7dab7c374a2888b39503f4b0599513c0
+library/_ctypes.pyc	546	de3339401245ac66da93b79b272bfca0
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
@@ -313,4 +314,5 @@
 library/repr.pyc	5045	82f0d89c685c3dacd941e01e4b2f31ef
 library/quopri.pyc	6352	87c42d94f753dd4c8a761cfa79453bb8
+library/htmlentitydefs.pyc	6347	814dc784fdb3d998dccee4c3f4c0394f
 library/mlx/gui/monitor.pyc	12214	0f077b01d70eee60a107ad06c1501323
 library/encodings/latin_1.pyc	2111	52427573ccbfd06220b67d5a9dd1376e
@@ -322,5 +324,5 @@
 doc/manual/en/gatesTab.png	29585	00ebc96a2b4a7473dbb6a3162a04192f
 library/bdb.pyc	17708	9a8fdcaa65f595c842689247847879d9
-library/mlx/gui/flight.pyc	119467	a9976cc07fa63ea7f5d590ea90f95bb1
+library/mlx/gui/flight.pyc	119216	cdaae89a98701f4d592a1baae2dd5d12
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
@@ -330,4 +332,5 @@
 library/keyword.pyc	2063	4d5bab044f614cfdabe89011cd3d7375
 library/bisect.pyc	2971	ad8ce3e265b404ed3971b842106f8179
+doc/manual/hu/index.html	51903	4bfbb26709c699f21fe593cb4efd2d98
 library/encodings/cp862.pyc	8003	261df6dd1a6e5ad90a83dfc739a25e0a
 library/gtk/_lazyutils.pyc	2772	93f9aa41ad4223106d99340cd539a566
@@ -338,7 +341,7 @@
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-library/pyexpat.pyc	546	f8146d44b7d1ac165982e780cc485776
+library/pyexpat.pyc	546	99dfc2eb91b459cf5a4135fa1dbb44a0
 doc/manual/hu/gateSelection.png	29237	bac37e7001261a40a84e4202247f6052
-logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
+library/cmd.pyc	13512	808f813d5e354b7073a1356e44c7b554
 library/unittest/loader.pyc	10884	591a785be23fba35582ce33bdd3d7acd
 library/ftplib.pyc	32043	5a1925388a0874e459aed6891f4cf0c1
@@ -364,5 +367,5 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
-library/_socket.pyc	546	2e3efff3d6e51e74487c12f7989e0027
+library/_socket.pyc	546	5d54612cb3ee057165dc991b99463316
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
 library/mlx/checks.pyc	59508	d0e16ac579b007e19372bdcad2d40f72
@@ -371,8 +374,8 @@
 doc/manual/en/pirepViewer.png	25098	7c545e70b995ac0f9fcae93fe5d0e899
 library/encodings/aliases.pyc	8750	75c22196420d0157fec085d285947a71
-library/glib/_glib.pyc	555	74484c2ef2086abb1316f95a56f6da16
+library/glib/_glib.pyc	555	fb565e6f5898f2ab4266b9715ad1b7aa
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/win32api.pyc	549	04b7aa24d2d27139d674ef4979c49682
+library/win32api.pyc	549	4e89ebf695240926ad734294e52fac22
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 library/libgtk-win32-2.0-0.dll	4938115	cc6dca192aca6f91bd96a5b5f86e036d
@@ -383,5 +386,5 @@
 library/encodings/euc_jisx0213.pyc	1694	88f34b9922eddbe5e1f3c77fd89e86f9
 w9xpopen.exe	49664	e6895233ad1e6f3dcdd04c7c26b0e7c0
-library/mlx/airports.pyc	4350	e6852c03d931caa17646118c38e6f8f1
+library/locale.pyc	48754	a51d20267132acc6bc66ac6252cf870f
 library/mlx/gui/callouts.pyc	16060	2e120c6e554d8d68459a52791e374789
 library/encodings/cp1026.pyc	2653	ced5dd0cc0da378b0968f82309b9bcfb
@@ -404,5 +407,5 @@
 library/webbrowser.pyc	18138	c85009edebad6d278fe786fec10ebbbe
 library/sre_compile.pyc	10792	c58f94fbee661f3bb0c59ecc13c0416e
-library/mlx/pyuipc_sim.pyc	57183	11246ecca37406ce4b90df909f752189
+sounds/notify.wav	119384	108025b17f67e61946df5d7fbf713cdb
 library/encodings/iso8859_9.pyc	2678	88880e046738ebd2012c8034416a9adf
 library/encodings/cp875.pyc	2636	c72faa5d1cb6105ae81c971448fea479
@@ -422,5 +425,5 @@
 library/glib._glib.pyd	58368	0de636503e43c4eb00e80927bc9bda97
 library/mlx/config.pyc	30521	f56ff616c07f5620d02da08a98040f21
-library/atk.pyc	534	853cd4d6b2f5c2cf7d9494d16a250ead
+library/atk.pyc	534	06fbbbd7f72cff07f6b102bb73185f6b
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -432,5 +435,5 @@
 library/__future__.pyc	4177	43d264d951ac2085334c7b9dd4558595
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
-runmlx.exe	64000	325172612e48091df090848c451d495c
+runmlx.exe	64000	137fd98572a893ccb836a034a72b3cda
 library/optparse.pyc	51253	39594a40bc1222173d57b7d5740e3d92
 library/mlx/fs.pyc	11803	51e819778a86c4e4e6a70ef191a9012c
@@ -445,5 +448,5 @@
 library/glib/option.pyc	11891	bd90183c75d8f473ecf653e3d63a27f9
 library/StringIO.pyc	11100	f4eb4a2bb3d6fb0af925681c5375c673
-library/pango.pyc	540	8cddd54cc4a2441b0dce33343b4d0a0e
+library/pango.pyc	540	ce5afa6780a92bd1259eed3026403c8a
 Microsoft.VC90.CRT/msvcp90.dll	568832	6de5c66e434a9c1729575763d891c6c2
 library/sre_parse.pyc	18380	fe2376a101668be1124f9ee316662bab