Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 683)
+++ MLXMANIFEST	(revision 721)
@@ -8,5 +8,5 @@
 library/encodings/cp1254.pyc	2678	17ff2ac86f90886d5c73ed789f0499f3
 library/encodings/unicode_internal.pyc	2022	1e902113491e0c334b44deb0c8940e01
-library/posixpath.pyc	10734	d694316c239784c444b252c801c97efa
+library/lxml/etree.pyc	555	698876f9fdc81ba76c8a6fe486c49dab
 library/encodings/gbk.pyc	1622	71c1e7fe25116114241829a60e57c5f4
 sounds/speed.mp3	26331	3d64da0eea9f48fa73be82d385354bf6
@@ -17,7 +17,9 @@
 doc/manual/hu/pirepViewer.png	26835	267e4325e550ed14ed22f86a2c7e8e9d
 doc/manual/hu/prefsGeneral.png	25082	9775eaf0c8f1f770e1ad46ce9b6e6973
-library/mlx/gui/statusbar.pyc	4812	b6448dd0f6077bc70527ee0c39c330e1
+library/mlx/gui/statusbar.pyc	4812	490a882b53429fa18f317e146f0c70c0
 doc/manual/hu/mainWindow.png	27770	42e5565ccb75d22b2f378d2df2b2865d
+library/lxml.etree.pyd	2977792	d9f46391d4eeb719304a07b1ddaa72d9
 library/pdb.pyc	41336	cca4477d622e897335b3f0cecb667ff4
+library/lxml/html/_setmixin.pyc	4312	eac09282d97aceede13bb8efc0da3a5f
 doc/manual/en/fuel.png	27700	777f9f3431c2f53db4b98f3449e4baf7
 subprocess.exe	267264	00107a8ed63a3e055e5d14f5c4b6cb0d
@@ -39,5 +41,5 @@
 library/encodings/big5hkscs.pyc	1670	0ff54e70f21b5e4a359d3779367cba85
 library/encodings/utf_8.pyc	1806	4b8dee0284ea2f55c4142fcde7463524
-locale/hu/LC_MESSAGES/mlx.mo	69361	d6d8b2f8bd1a18bcc710b841e849d5c3
+locale/hu/LC_MESSAGES/mlx.mo	73166	f479bb641fede1c31adbd0ff2a3d736b
 library/encodings/mac_roman.pyc	2716	4b4745eccfcb77860b70b374ac07fbcc
 library/py_compile.pyc	6292	425da7ee065aa158fd274946204a4a77
@@ -51,5 +53,5 @@
 library/selenium/webdriver/safari/__init__.pyc	125	4a6fe7f5be076227125ddd0577386fa7
 locales/fil.pak	7790	38cdea149d120d8e9a8a0b0a90ac5dfd
-library/mlx/gui/dcdata.pyc	19878	bf0aa6b459e52b82ae440608011b1cf7
+library/mlx/gui/dcdata.pyc	19878	128e72fd5c4cf74b988abe22b9e9e641
 library/selenium/webdriver/common/utils.pyc	1718	4f61f38d0107f2694454eacb6d480f45
 library/encodings/iso8859_5.pyc	2679	58a290e94b0266ef8ff4ee52da00e257
@@ -57,5 +59,5 @@
 library/libglib-2.0-0.dll	1242929	18e88b04da123bf05b07ff60a4e96654
 library/base64.pyc	10528	39abec9c60dc011d3c763f443f9b1a11
-library/mlx/gui/bugreport.pyc	4602	40b93f71f84bcbaa3c4918516acae15c
+library/mlx/gui/bugreport.pyc	4602	a32ca4d644f316b3d120ae3dc2597eba
 doc/manual/en/flightSelection.png	29847	7817c8f5ed8d7fe64cf72d0addaf3e4a
 library/encodings/cp500.pyc	2639	bb122a6e1384530e1b2efb14cf999239
@@ -88,4 +90,6 @@
 library/selenium/webdriver/chrome/service.pyc	3456	213d552983fc36a04948f1c1fb551965
 library/win32file.pyd	111616	25ecaa0a381c6fd9ba4080bea63b952e
+library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
+library/lxml/_elementpath.pyc	6886	9a280fb32989572f97a77a8439c60b03
 library/unittest/__init__.pyc	2945	3b9d3992b823bd7bc391d8b1bb434310
 sounds/sikoly.mp3	126222	b0bb88361b253cd21bfd3706524f4aec
@@ -93,4 +97,5 @@
 conn_red.png	914	860388cb7c3b26b2f348fdbee40780ce
 library/xml/sax/expatreader.pyc	13563	4f64c0efb2f1f8dbba84cdb5c6036f2d
+library/lxml/html/__init__.pyc	57505	75e60bdbe2cda9fe95dc43345e79a0ae
 library/encodings/iso8859_14.pyc	2714	b9baeb3f59da8a2137db576b2e434feb
 library/unittest/signals.pyc	2126	d574469ae3f8e3c3c6054c48e8ff6fe1
@@ -102,7 +107,7 @@
 library/encodings/koi8_r.pyc	2700	fff1b35002b9e938b7ea6fd0fbe824ae
 sounds/737taxi.mp3	157362	846c403e5cb660be53c8b6da16b68234
-library/mlx/const.pyc	6294	0e11d29d726d082e64147e5008817238
+library/mlx/const.pyc	6294	5cdef68da98c1d03135d20e2b78668fc
 locales/th.pak	13637	7262d0f5e1877212a45a1ef1ccc4c777
-library/mlx/gui/cef.pyc	7615	a78a4244e651e970b6732040e751b835
+library/mlx/gui/cef.pyc	13834	c0aa2cc0103680c5c8f25a8b504839d8
 library/encodings/punycode.pyc	7570	335ff94e207934ae64e6f5fc07a5cacc
 mlx_cef_caller.bat	142	d1815645d52f5638f27f16903a977d00
@@ -110,4 +115,5 @@
 library/shlex.pyc	7282	cbe1a4823894c97c87d01f9d9faf5b8f
 library/encodings/idna.pyc	6124	6d67198be2b194c4c0acf48e2f1473ac
+library/selenium/webdriver/support/wait.pyc	3062	0b45eef7d5f12effdcb7b3b3bf077953
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/utf_16.pyc	4808	45343ba87ff1675cd72f656555193d29
@@ -132,6 +138,6 @@
 library/random.pyc	24831	54b2048974a5c98912276ffa5dc637a9
 icudt.dll	9956864	5434e18b933e03f274d8da59fda4c676
-library/mlx/soundsched.pyc	9185	5d9c36cbf8971ad0e91adff5f9c4ab54
-library/mlx/logger.pyc	13109	78ca8e8f2b0b51e228a32fcca6f50fb7
+library/mlx/soundsched.pyc	9185	4211730170fddb82b5683ce1849234ee
+library/mlx/logger.pyc	13109	a70c061d36cf6b4e540f5610133466d3
 library/xplra.pyc	32012	50a1d9f19c0cc88783d264909ad1c678
 library/selenium/selenium.pyc	88274	e4b7af1a0fdb5800faba4cdbba1e85b3
@@ -152,4 +158,5 @@
 library/threading.pyc	26361	ac75b44a3dfea9ec884fcde4f7aa3275
 library/pywintypes27.dll	110080	7fa49d1d53588cca5071dfaa61061087
+library/lxml/html/defs.pyc	3980	b5d26d607dc394b6a37511fc902fed94
 doc/manual/en/calloutsEditor.png	14862	8041dc5f889a8913f510bdf0da923b58
 locales/ro.pak	8130	3220d7b7833d5a3df586c24a6f1696a9
@@ -170,5 +177,5 @@
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/prefsSounds.png	22667	452c396c2bda9684bf052c98fd7870d1
-library/mlx/gates.pyc	7002	5c82c4c4dd0918bf385497549f14767f
+library/mlx/gates.pyc	7002	20aca1eaf3de122eda51883b5b518f6f
 library/mimetools.pyc	7837	c9accd6ef795bf71c90630be0161cadc
 doc/manual/en/pirepLoaded.png	9887	e27a7c87e134944787e29874c455380d
@@ -194,8 +201,8 @@
 library/quopri.pyc	6352	87c42d94f753dd4c8a761cfa79453bb8
 library/htmlentitydefs.pyc	6347	814dc784fdb3d998dccee4c3f4c0394f
-library/mlx/gui/monitor.pyc	12980	4665fa3f4c0a7bbf55e47bca8b710a49
+library/mlx/gui/monitor.pyc	12980	dc303c215e1380adee44b691870d45e8
 library/selenium/webdriver/common/action_chains.pyc	12050	696113f4eb85587998c08b915d8269a4
 library/encodings/latin_1.pyc	2111	52427573ccbfd06220b67d5a9dd1376e
-library/mlx/update.pyc	16925	1dcd3d0a31adabad8c84cf4bfc2c5997
+library/mlx/update.pyc	16925	8c57d867b7f8ed088ab2b2afb2ae455c
 library/selenium/webdriver/firefox/extension_connection.pyc	3145	5f8929a22a172a0aa71d4d4acb2aaf17
 library/selenium/webdriver/remote/webelement.pyc	17884	6fa60da9a8bc1d2dc6e1286d9bd8f1ab
@@ -204,12 +211,12 @@
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
-library/mlx/acft.pyc	39301	73a41faa55921dbe926e3e7d0ee0554f
+library/mlx/acft.pyc	40830	effafce121013f2b7631e46bf568b2ac
 library/selenium/webdriver/firefox/firefox_binary.pyc	7758	cee737a6fd574b0f2e6ca28508844a30
 library/gobject._gobject.pyd	113152	3d05dd191361f83aa247b62c700fa04e
 doc/manual/hu/checklistEditor.png	27863	8c750892a52dc10ca654a9d0b2765358
 library/bisect.pyc	2971	ad8ce3e265b404ed3971b842106f8179
-library/mlx/gui/acars.pyc	1057	92332824991f0776eb902a7d80366ab1
+library/mlx/gui/acars.pyc	1057	27238740a8776e6d8e6c8867d23955ea
 library/gtk/_lazyutils.pyc	2772	93f9aa41ad4223106d99340cd539a566
-library/mlx/mlx.pyc	2979	abca5bdb8ecc814bce1be169b8bef37e
+library/mlx/mlx.pyc	2979	876ff2c4456985567d8a8af6d156b743
 library/selenium/webdriver/remote/utils.pyc	3073	592eeca209cae991779c97ddd322b388
 library/encodings/cp864.pyc	7999	ca90afae086cb6b8f69b8419cc3cd1cb
@@ -223,5 +230,5 @@
 library/unittest/suite.pyc	9838	bf2c79bd4a6b6032f1ea53fa4908748f
 library/encodings/mac_arabic.pyc	7824	820deef79b02e1f7e52eb18e9be655bf
-library/mlx/gui/prefs.pyc	27685	03190ddbc9ae665c284de51408963ba7
+library/mlx/gui/prefs.pyc	27921	24af38ec7e9b5dd275557147785f3d74
 library/encodings/tis_620.pyc	2748	5969b4db4f967b11ae7992cdfbf5890e
 library/encodings/base64_codec.pyc	3568	1d8f13d09024bd124a9ff73a9244c0f1
@@ -231,5 +238,5 @@
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
 library/selenium/webdriver/firefox/__init__.pyc	126	0ce57f6223e88783f1a5d4d8c4998682
-library/mlx/checks.pyc	62721	84fc4a59dc8cdd5dc7c5f4fe45d7b700
+library/mlx/checks.pyc	62721	759425ec78c8430f699691e5abf92c1d
 doc/manual/en/statusIcon2.png	5875	71fc121823dee0a4c00715fac1b5665c
 doc/manual/en/pirepViewer.png	25098	7c545e70b995ac0f9fcae93fe5d0e899
@@ -237,5 +244,5 @@
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 doc/manual/hu/calloutsEditor.png	16026	fede870894a85e5d21ca16a026aa6a98
-library/mlx/xplane.pyc	67098	5592e5201555656aee2ce230d023251c
+library/mlx/xplane.pyc	67098	a714130f818d2d0220760c98268a1e66
 library/ssl.pyc	13785	d90c880699ecbedb3182f556b9733868
 library/tempfile.pyc	18526	e2cc2d63c29e15f20ee9325e790643a3
@@ -252,5 +259,7 @@
 library/selenium/webdriver/opera/__init__.pyc	124	7b04c3d7c320d1da1cb3cda037eba3b1
 doc/manual/en/prefsSounds.png	21397	9037f17f772e554e7d9d24133acd5c4d
+library/posixpath.pyc	10734	d694316c239784c444b252c801c97efa
 library/encodings/cp860.pyc	7857	59c6f69108873700081e71b2faaa29f8
+library/selenium/webdriver/support/select.pyc	8438	be8c4fccc3c268163b6800af0a83dac8
 library/_MozillaCookieJar.pyc	4392	21966f49c75d0bd7827ec82d4e6e5d30
 library/share/locale/hu/LC_MESSAGES/glib20.mo	84697	a3167f1c306a43d662f7c261abc69156
@@ -267,6 +276,6 @@
 library/selenium/webdriver/remote/command.pyc	5463	3e7f6443358e670e58a7fc6c97e4ab16
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/mlx/gui/statusicon.pyc	5616	72e7f1f435bced8727eecc708d69de12
-library/mlx/config.pyc	30525	dc32b0ffaf6ecd1164568bb35fb87765
+library/mlx/gui/statusicon.pyc	5616	03e079307c1f83f36284e1b32887b28e
+library/mlx/config.pyc	32743	5a5523901d6fcb215f84e3d217c47f31
 library/atk.pyc	534	2a53b13519b7419e8cf08f48baa4c1b6
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
@@ -282,5 +291,5 @@
 library/zlib1.dll	100352	d90dad5eea33a178bac56fff2847d4c2
 locales/en-GB.pak	6364	2a92f4fc905c2743129ccbcdf80d443a
-library/mlx/gui/delaycodes.pyc	12929	1dc94065d8f63d323538d8e3eda73fda
+library/mlx/gui/delaycodes.pyc	12929	e8c1d6f46ef6e369451be3cbde0a3127
 library/encodings/raw_unicode_escape.pyc	2048	8138045029da04bf45204ab756d1bcd4
 sounds/TOD.mp3	174707	92176d53d948fbfebd08c011b063179a
@@ -297,9 +306,9 @@
 locales/pt-BR.pak	7211	d0542b9b325ea58be590d021aeb7333d
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/mlx/gui/info.pyc	6538	205cffc77969aa15ec2ca7c4755c629e
+library/mlx/gui/info.pyc	6538	78c97f25111c13dc94c6226140943916
 library/encodings/iso8859_6.pyc	2723	c8f9aa14a6a2ebf05d977317114bc65d
 library/xml/dom/minidom.pyc	61068	74ffa387e505b9fec2f2ad6a5dcd415d
 library/selenium/webdriver/chrome/__init__.pyc	125	ff98e760d2c777eacfc473761486a702
-library/mlx/gui/gui.pyc	54376	e022ee717c3a7cbf4a3ebc351fddd8e2
+library/mlx/gui/gui.pyc	54583	52c366560eec66413e5e7850fb5b3308
 library/stat.pyc	2503	d3b6dc7a54e705219f04d0be75a212de
 locales/ru.pak	10392	1b66f03dd656a2433ce643d0259fca6f
@@ -324,5 +333,5 @@
 library/tokenize.pyc	13565	354d02cd79df187a28c1851a1e3bad96
 library/win32con.pyc	140797	84d2d064066cfbcc219230f7e9c6e0b0
-library/mlx/gui/flight.pyc	126827	95bb637bf58669dfe4c2ebea4ef533c6
+library/mlx/gui/flight.pyc	147639	f487da6516256651fdc2410dac2ed76e
 library/xmlrpclib.pyc	40724	d4f819f9199ea21236a74c967e335c43
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -341,15 +350,15 @@
 library/unittest/result.pyc	7444	aefbb3cc79c0ff17787ce84faed7f5e8
 library/mlx/gui/__init__.pyc	107	22f268cac1c5be2f3a058810b6caead3
-library/mlx/pirep.pyc	4623	2a008f269c900fb604b94b4e427f61b5
+library/mlx/pirep.pyc	4623	6c485ea65ff6245ab56960a8bbec7051
 library/json/scanner.pyc	2169	e19ee185b7c79ab5cc433b39fcd33faa
 library/traceback.pyc	11223	50ace5c2c6c040a923082442da94cd78
-library/mlx/flight.pyc	21066	bc4f9f08064487830d32767281c25b9f
+library/mlx/flight.pyc	21066	471a24b3678e6d684d6bf5aead1ae544
 library/urllib2.pyc	43566	7eb57ea0dcd1086d1d9073a5cefb0903
 library/encodings/mac_farsi.pyc	2659	df751a61510129a25f7a43ae3aace4f7
 library/encodings/iso2022_jp_3.pyc	1699	ee1c3aa11bbe19eeb4deafa238563133
 library/cefpython3/__init__.pyc	556	38a652a0209e49e323bee4dd54a018af
-library/mlx/common.pyc	1300	4b936cda29bd752f99947887e441672b
+library/mlx/common.pyc	1300	9c6f2d502b9274073cd96caaf4fb90ff
 library/ctypes/__init__.pyc	18846	2bd183962453ae93d6887b303d3fd338
-library/mlx/acars.pyc	1690	96ceda793dc57922cc6867845ac782b3
+library/mlx/acars.pyc	1690	733d057c94683c74079d6e096f601855
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 locales/bn.pak	14431	f402d363b8a07649b6787b745434daf7
@@ -358,4 +367,5 @@
 library/cairo/_cairo.pyc	561	fb6b7b442e46dce7a08d5875101f4a21
 locales/te.pak	16110	c3af85e60b78273a93970cf8805ded04
+library/lxml/cssselect.pyc	3861	2e693f0c25ab04b1d130646cddd4e081
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
 library/selenium/webdriver/chrome/webdriver.pyc	2758	a7d3d371b22119d0327d9af9f77fd845
@@ -365,5 +375,5 @@
 library/winerror.pyc	112982	4986a8f2df094dddedd12c9fddf4966d
 library/encodings/cp775.pyc	7888	25bf7dd514dff294aa02d5119399b2b7
-library/mlx/fsuipc.pyc	74670	dac812f321938aafea900443f45eea87
+library/mlx/fsuipc.pyc	74670	4da0a45a9a6372a2e463ab21fdc43359
 library/xml/sax/__init__.pyc	3579	c78222ad1fd4f3dbdea06666fe74e84e
 doc/manual/en/connect.png	27436	5406dfe5408569cb95499c057bf0185b
@@ -372,5 +382,5 @@
 library/encodings/charmap.pyc	3203	2358b8eb05c66e2a2826b5db6f214547
 library/libgdk-win32-2.0-0.dll	931390	a2b46daac3d4140efdf86429f7aea476
-library/mlx/gui/common.pyc	10433	756f1357b9890b2f15df917788b41ae3
+library/mlx/gui/common.pyc	10433	e96ada4071fcdd2937398627d5d281dd
 library/dummy_threading.pyc	1265	5ab5c897721aeb346b5bccb84066c5bd
 doc/manual/hu/index.html	51903	4bfbb26709c699f21fe593cb4efd2d98
@@ -424,11 +434,11 @@
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
 library/libpangoft2-1.0-0.dll	815421	1dbfead06e26edb81f0849490210e3ff
-library/mlx/util.pyc	4884	0e1e044381afbed77e8cd996e3df4aa0
+library/mlx/util.pyc	4884	7537803cf47e18210ab5f298ba9eba9e
 library/selenium/webdriver/common/__init__.pyc	125	6c65d6e881b33e7aedb01f167184288c
 library/_LWPCookieJar.pyc	5440	3782ae675165b232a3f78608ac2dbccd
 library/libfontconfig-1.dll	279059	dd583bedc5efe7bbd21a8ef107dec88d
 library/_strptime.pyc	14347	ad17a449b54061177a080e3a21507a39
-library/mlx/singleton.pyc	9184	3b71000d428959ab355db2658cea9557
-library/mlx/airports.pyc	4350	e6852c03d931caa17646118c38e6f8f1
+library/mlx/singleton.pyc	9184	9eec2ed5b230e043afc56592fb13a684
+library/mlx/airports.pyc	4350	e0fee9bae54850629841bbcf68b1b89f
 library/socket.pyc	15488	35f8eb455d6d8df8e19826d1dd7193f2
 sounds/notify.wav	119384	108025b17f67e61946df5d7fbf713cdb
@@ -444,6 +454,6 @@
 doc/manual/hu/connect.png	28822	929f3eb85ee3cad019e12017c923f664
 library/encodings/palmos.pyc	2876	9284ad53dcfd82dfae0a79923b1cf91d
-library/mlx/web.pyc	36866	f0d8ed425472baf770a4087ecdee2784
-library/mlx/gui/gates.pyc	5635	541e695d5acf90721e523c5513fe7d0d
+library/mlx/web.pyc	36866	96511f975c55c000b0e9c16dff3aa31b
+library/mlx/gui/gates.pyc	5635	ea478376f306ce9d6d0ed2e759407c00
 library/gobject/propertyhelper.pyc	8878	cc3598dab17d31ff46a6dee669ccb5ed
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
@@ -459,4 +469,5 @@
 library/email/__init__.pyc	2752	5e1a1ba649ac697d631b031987d09c33
 library/share/icons/hicolor/index.theme	22255	5138b82a57488ee821b8a38c2aa1420e
+simbrief.html	116	d158a7e9f7f34da230229a5c2aab3e66
 library/glob.pyc	2238	d06c4386d18e2ab7f53fb866599403cc
 library/_threading_local.pyc	6424	9dfe88d58a5811d2d56347cc381ebf0a
@@ -464,7 +475,10 @@
 locales/fr.pak	7917	bac6c149685b4b84617ca8c8c39306b7
 doc/manual/en/payload.png	28191	b9d22d6226541b8f58df89c7c9da9a62
+library/selenium/webdriver/support/__init__.pyc	126	b99fdca3533d28cae3e7a63624932966
+library/sets.pyc	15775	ea560db2e34dae27d1fc9619a342ced8
 library/doctest.pyc	79210	620422f95e18417ff5f8440534a71e91
 library/libpango-1.0-0.dll	333729	5a14efd93ee27cfe960220fe4a904911
 library/encodings/unicode_escape.pyc	1996	32990583f1caf874e556087da7b92971
+library/selenium/webdriver/support/expected_conditions.pyc	14298	43b8884d089d85e074d0d9f2fbcd5e28
 doc/manual/hu/logTab.png	28706	f48004202310bd2a1cb2f873d8064e93
 library/win32event.pyc	555	d66e08d9b35f124fdff12cf4f8273869
@@ -473,19 +487,20 @@
 library/encodings/cp856.pyc	2701	8b6649490089bedd87e9b8c56985f6b3
 locales/hu.pak	7647	7a37ba9f9113e4f7e9de5b5b9643a48c
-library/mlx/gui/weighthelp.pyc	13179	09924037c8e067c96c1e7acd88671ed1
+library/mlx/gui/weighthelp.pyc	13179	9ebfa07c41e167371380dda80b5bd72b
 library/encodings/cp850.pyc	7621	20d776af743fa7acf090fbd575eea143
 library/gio/__init__.pyc	809	bc9332556e93183a58be5c10cba18557
 doc/manual/hu/debugLogTab.png	34237	e4d91a024beec781966f7de91ffd196d
 library/weakref.pyc	13028	5d1c14275f47e8cf6d40bc6877fde976
-library/mlx/gui/checklist.pyc	12279	0d648433bc36dd90e70dbd27c094733a
-library/mlx/fs.pyc	11863	dc10330c4e7e3d4e3f03fe3690a10bc9
+library/mlx/gui/checklist.pyc	12279	555775aaed42b3d0687e1b0f501a9f61
+library/mlx/fs.pyc	11863	63fda2c4e0727136be69ed82f9e2bbc8
 locales/he.pak	8198	2486731ee9bedc244d41143a2741775f
 doc/manual/en/statusIcon1.png	6472	10a7158dd8655de3f18ba914eb2373a5
 library/email/message.pyc	27764	493826f529d17f5a21080a4c98b49369
-library/mlx/gui/pirep.pyc	16749	7a295b28dbdad43b33c52d814be60792
+library/mlx/gui/pirep.pyc	16749	2006126d65a19999a20c4a34f1e94342
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/mlx/gui/faultexplain.pyc	9707	3bda0c4c25476cd8c11e4d1c15c682bd
+library/mlx/gui/faultexplain.pyc	9707	938e02beb962d574df694c77536533ca
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
 mlx_cef_caller.sh	148	bd16cf4c784490bcd46d7845f2b6edf9
+library/selenium/webdriver/support/ui.pyc	228	f4a3e26b8378ea9c87e3c97595c42246
 doc/manual/hu/statusIcon1.png	6920	614cde237a5b4e2678ed15d9cd01088e
 library/encodings/cp1253.pyc	2689	52d4a723e9e86940701cb648b40ed884
@@ -501,5 +516,5 @@
 library/libgdk_pixbuf-2.0-0.dll	285194	e4c64b0e7e4c6606f3973a16c0c1ee84
 library/encodings/big5.pyc	1630	a21b45d3e487bf09f40a08448040c97d
-library/mlx/gui/update.pyc	11427	903cdcb4529c2131de98c8a9e9cd1aa4
+library/mlx/gui/update.pyc	11427	5698abbc9b133f18fa2c37d3bfa74bee
 library/encodings/cp1250.pyc	2676	c92e287a2aa6a1c924df287d826aa3b7
 doc/manual/en/gatesTab.png	29585	00ebc96a2b4a7473dbb6a3162a04192f
@@ -510,5 +525,5 @@
 library/selenium/webdriver/__init__.pyc	1011	9cce0a4d491b458d651474dc6fd09be0
 library/selenium/webdriver/common/alert.pyc	2550	cfd59475010657b35ef31c47d8c86fc3
-library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
+library/lxml/__init__.pyc	708	4e6d5e156fb2fe6a8103dd02a1037634
 library/selenium/webdriver/common/by.pyc	957	9cc3d4670125998f95147624f20d05b0
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
@@ -538,10 +553,10 @@
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
 library/nturl2path.pyc	1755	7835082f2dd6806f99cc25bed13ff7dc
-library/mlx/sound.pyc	8226	e8ca9ac1842f9e548b60e0d4f5648fcb
+library/mlx/sound.pyc	8226	03b098ed1dd965db98ef4f75b07d6cae
 library/glib/_glib.pyc	555	ab1cf44ec256636cfd820e5bbdb5cf14
 library/win32api.pyc	549	5753c8241e91acd8cb4b02cfc18719a3
 library/encodings/iso8859_13.pyc	2696	f901ae0bbcfbb78f0c1783e89b2e2dc5
 library/selenium/webdriver/remote/remote_connection.pyc	21225	287db6d396dcce7180eada87e8c6ace0
-library/mlx/gui/callouts.pyc	16060	2e120c6e554d8d68459a52791e374789
+library/mlx/gui/callouts.pyc	16060	7a3055f313e693779e9d2df22bb7568a
 library/selenium/webdriver/opera/options.pyc	3303	243909f5d36e653ad3ad4921c8df4f78
 library/encodings/iso8859_15.pyc	2693	b892f358bbc25ae9d3824be158aabe28
@@ -549,5 +564,5 @@
 doc/manual/hu/prefsMessages.png	22980	6e60ec51305e95e5d057c0dd82b69460
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-locale/en/LC_MESSAGES/mlx.mo	64494	5eb2e430656c49a02122e3ea54fe4698
+locale/en/LC_MESSAGES/mlx.mo	68019	e360bc22970f91fa071eec517a0a173c
 library/_abcoll.pyc	19891	a5c1881934f1533c22b22b9317ac1d68
 library/encodings/iso8859_11.pyc	2787	a31e6d0d34e35259d7183cc9437eacca
@@ -557,5 +572,5 @@
 library/encodings/mac_latin2.pyc	4717	564dbaf5c296a147203eb821dc2466ba
 library/mlx/__init__.pyc	103	029f80bd80f880e6ca70ef4ba46f7d06
-library/mlx/i18n.pyc	1972	141a57905a2597e5ced25866d032d3a4
+library/mlx/i18n.pyc	1972	fe45816e49cf5e380bc39942a9dfa875
 library/xml/sax/saxutils.pyc	12382	32ed045b3b520234ebea6a508a6569fe
 locales/sw.pak	7078	5406f21a67934bbf0e6c633d2ca573f9
@@ -563,5 +578,5 @@
 doc/manual/hu/gatesTab.png	30710	a6a59e6a2660c15418489e8785e4bcee
 library/webbrowser.pyc	18138	c85009edebad6d278fe786fec10ebbbe
-library/mlx/pyuipc_sim.pyc	57203	5d059078e0595be103153c76d55188dc
+library/mlx/pyuipc_sim.pyc	57203	e1828998919f435bae2a5cbd969ff8f3
 library/encodings/cp875.pyc	2636	c72faa5d1cb6105ae81c971448fea479
 library/dis.pyc	6068	3934ab23d64f3da393305b19df0f1fd0
@@ -585,4 +600,5 @@
 library/encodings/quopri_codec.pyc	3365	01342d4d2735bcbfeb333d784297547a
 library/distutils/errors.pyc	5885	fbeaddf5d59ea781ec63197dd950aa89
+library/mlx/gui/mava_simbrief.pyc	10689	e91c026bd70fdde0432196a536017b7b
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
 library/selenium/webdriver/phantomjs/service.pyc	3263	3a56577bb9f058e0d7e5be544a8e850b
@@ -605,3 +621,3 @@
 library/unittest/main.pyc	7701	82258a486f5133466c9cf10323814fbf
 library/encodings/iso2022_jp_ext.pyc	1715	97eda1c1468f65445951b0bf23a89570
-library/mlx/watchdog.pyc	3957	8dd7d882e0716f1c6c9054e5009bcc1e
+library/mlx/watchdog.pyc	3957	4b6c34d79e730066e8af7cf71689f9ad