Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 129)
+++ MLXMANIFEST	(revision 157)
@@ -3,5 +3,5 @@
 library/encodings/euc_jis_2004.pyc	1694	e12bbd059d4fd595cf4be5440ab439c2
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
-library/gtk/_gtk.pyc	549	6532b46b08203fc506eca37983addf20
+library/gtk/_gtk.pyc	549	4ad4dc430e6ce8e8653f1236929a93f5
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
 library/encodings/cp1254.pyc	2678	17ff2ac86f90886d5c73ed789f0499f3
@@ -12,4 +12,5 @@
 library/unittest/signals.pyc	2126	d574469ae3f8e3c3c6054c48e8ff6fe1
 library/pdb.pyc	41336	cca4477d622e897335b3f0cecb667ff4
+runmlx.exe	64000	8bcbc8f4c68b590c5ef010ad9580e1aa
 library/xml/sax/xmlreader.pyc	17862	0362ded7016d21cdd85aea1170ebdda1
 library/encodings/latin_1.pyc	2111	52427573ccbfd06220b67d5a9dd1376e
@@ -23,8 +24,10 @@
 library/encodings/utf_8.pyc	1806	4b8dee0284ea2f55c4142fcde7463524
 library/encodings/mac_roman.pyc	2716	4b4745eccfcb77860b70b374ac07fbcc
+library/ctypes/_endian.pyc	2154	c73aab798475f9961158ed4f6c07a70b
 library/email/_parseaddr.pyc	13285	9a4c79b09ed093f1fc48b4d427b877e0
 library/encodings/__init__.pyc	4298	df673fd19cf6e69f54e7638d05179a32
 library/share/themes/MS-Windows/gtk-2.0/gtkrc	1825	94d104680cec5f3d8bbec56258d0c926
 library/libpng14-14.dll	230529	f3a15497e25baaa721f96638d7a4d2f8
+library/share/locale/hu/LC_MESSAGES/gdk-pixbuf.mo	21895	a932ead453f04de30e348c1689a4d896
 library/encodings/iso8859_5.pyc	2679	58a290e94b0266ef8ff4ee52da00e257
 library/encodings/iso2022_kr.pyc	1683	ef9549932514d2deda6c4676e5e5f1db
@@ -54,7 +57,7 @@
 library/UserDict.pyc	7920	c72896a5a8a1a3d93fa6ba23c50a04b0
 library/encodings/koi8_r.pyc	2700	fff1b35002b9e938b7ea6fd0fbe824ae
-library/mlx/gui/statusbar.pyc	4616	416214893cd909b09ae9ecc51b191372
-library/mlx/const.pyc	2601	6a1ec3c5a3955a8094b72006792f79e7
-library/mlx/fsuipc.pyc	48716	d0001b0c4c7dd1658447f3549581a576
+library/mlx/gui/statusbar.pyc	4616	2909310114db08ca8d3162e70ef22519
+library/mlx/const.pyc	4972	de3904c521b27597d548bbc96ff14050
+library/mlx/fsuipc.pyc	53293	3e9f6032fd366882d0982f6fe4f48418
 library/encodings/punycode.pyc	7570	335ff94e207934ae64e6f5fc07a5cacc
 library/encodings/shift_jisx0213.pyc	1710	1ec0383aafb1dcadb5f9b6afff16eb7f
@@ -68,4 +71,5 @@
 library/opcode.pyc	6052	4b056d1c0ecd2904ca1fb2a14f28da3c
 library/email/header.pyc	13339	f741f4c3543a278fec30f4d9bdd0f859
+library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -74,5 +78,5 @@
 library/gettext.pyc	14675	606ad2e00535dd0f4fee5bd8d8562b29
 library/random.pyc	24831	54b2048974a5c98912276ffa5dc637a9
-library/mlx/logger.pyc	4613	86ad17a271b4710d049e7c34dc3d4169
+library/mlx/logger.pyc	4920	05da2d9bb59b448a10622c6afdf220ea
 library/encodings/string_escape.pyc	1907	5856af6d4b4bbbe84b0595434afe8d34
 library/re.pyc	12699	5b157b40e294465c0f3d2ca82f70f66e
@@ -91,5 +95,5 @@
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	ff8bf4a986c3e255054f13f4719fe836
+library/gio/_gio.pyc	549	ce32f7e9e996c3318a29c33235f9b5ba
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 library/mimetools.pyc	7837	c9accd6ef795bf71c90630be0161cadc
@@ -108,15 +112,16 @@
 library/mlx/gui/monitor.pyc	9639	8a0ad07cbf8e1a40b0697a9fa8b07bc6
 library/encodings/mac_croatian.pyc	2755	425b44ba614eff660b863cb7cc12e509
+library/_ctypes.pyd	106496	deccede0781726ce0daa75a4635bf919
 library/bdb.pyc	17708	9a8fdcaa65f595c842689247847879d9
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/encodings/euc_jp.pyc	1646	c0d60e6d08161643bd7dbe651063f334
-library/mlx/acft.pyc	24142	6a996fee5db5cd7be26b12e5cd0e7417
+library/mlx/acft.pyc	26446	e96a0c5d39140d7b89d67adae465ec33
 library/gobject._gobject.pyd	113152	3d05dd191361f83aa247b62c700fa04e
 library/bisect.pyc	2971	ad8ce3e265b404ed3971b842106f8179
 library/gtk/_lazyutils.pyc	2772	93f9aa41ad4223106d99340cd539a566
-library/mlx/mlx.pyc	1816	f8f778a80b66542e053fdfe1c7452613
+library/mlx/mlx.pyc	2364	47a57704dfd1176913764cd507989aa2
 library/encodings/cp864.pyc	7999	ca90afae086cb6b8f69b8419cc3cd1cb
 library/pyexpat.pyd	152576	5a82e9ec95005aca6130751e5b961cc3
-library/pyexpat.pyc	546	ccd9bec1db8c5da1848b77ecc945fb05
+library/pyexpat.pyc	546	5920fb1bc8d425a72e36a9c582760165
 library/unittest/loader.pyc	10884	591a785be23fba35582ce33bdd3d7acd
 library/ftplib.pyc	32043	5a1925388a0874e459aed6891f4cf0c1
@@ -125,12 +130,14 @@
 library/unittest/suite.pyc	9838	bf2c79bd4a6b6032f1ea53fa4908748f
 library/encodings/mac_arabic.pyc	7824	820deef79b02e1f7e52eb18e9be655bf
-library/mlx/gui/prefs.pyc	7572	7a8baf26ab900c25a1f752e3405263b5
+library/mlx/gui/prefs.pyc	13030	3c3d1fe199deb11859b67dc920c0e13d
 library/encodings/tis_620.pyc	2748	5969b4db4f967b11ae7992cdfbf5890e
 library/encodings/cp855.pyc	8071	0a4259ba854c24186f2ce61d85883b4a
 Microsoft.VC90.CRT/msvcr90.dll	655872	e7d91d008fe76423962b91c43c88e4eb
-library/mlx/checks.pyc	38983	b846048258771fc43714510c400e5f05
+sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
+library/mlx/checks.pyc	41428	089e6f6ac595c246520fa5c2f9750f66
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 library/ssl.pyc	13785	d90c880699ecbedb3182f556b9733868
+library/mlx/sound.pyc	5575	fce8f0388061974c7be42548bb0ed53b
 library/encodings/euc_jisx0213.pyc	1694	88f34b9922eddbe5e1f3c77fd89e86f9
 w9xpopen.exe	49664	e6895233ad1e6f3dcdd04c7c26b0e7c0
@@ -139,4 +146,5 @@
 library/encodings/utf_32_le.pyc	1747	8679f9c7cca87ad540b30c176ef914de
 library/encodings/cp860.pyc	7857	59c6f69108873700081e71b2faaa29f8
+library/share/locale/hu/LC_MESSAGES/glib20.mo	84697	a3167f1c306a43d662f7c261abc69156
 library/heapq.pyc	13109	20df4990fffba06bbdda995ce7466caa
 library/sre_compile.pyc	10792	c58f94fbee661f3bb0c59ecc13c0416e
@@ -148,6 +156,6 @@
 library/email/iterators.pyc	2266	b8a0df35815bc00be1ed8ece42aac537
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/mlx/config.pyc	5858	0bd615961d6c2a74aa022021b3b2a9f1
-library/atk.pyc	534	dd8f798f1b1762c14245b50bff563068
+library/mlx/config.pyc	12010	7a138f5b96c513912e8e0686f5c5fbaa
+library/atk.pyc	534	be5a116a6bc5c8735c9f35b8b6f4a8a3
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -166,7 +174,7 @@
 library/encodings/iso8859_6.pyc	2723	c8f9aa14a6a2ebf05d977317114bc65d
 library/libpango-1.0-0.dll	333729	5a14efd93ee27cfe960220fe4a904911
-library/mlx/gui/gui.pyc	27199	7cff2b3a89796f1e36c28c240b2fd7d8
+library/mlx/gui/gui.pyc	36341	6eeaa07fcbd8a89bf7e598087c666ee1
 library/stat.pyc	2503	d3b6dc7a54e705219f04d0be75a212de
-library/gobject/_gobject.pyc	573	bd94c773ad347ddbbc26324f67654e1f
+library/gobject/_gobject.pyc	573	af669d80f2b6327cda3cb40e3810c04d
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
 library/atexit.pyc	2083	595a09be339c73c3c02e378d99325d2a
@@ -176,9 +184,8 @@
 library/encodings/iso8859_1.pyc	2678	f09ec3b7f6a348cbd7f7286b60572bd0
 library/pangocairo.pyd	17920	5fc69a7d29a6d3127710c64de440daa4
-library/pangocairo.pyc	555	c52b2ddd2b24c637781c95adb7bd186b
-library/encodings/iso2022_jp_2.pyc	1699	4b917caa926e5779176612409c66be39
+library/pangocairo.pyc	555	c8722df96bf6a7879e604e4f96abf71f
 library/sre.pyc	499	92bb633daa0bab6550ec0e3677673b5b
 library/tokenize.pyc	13565	354d02cd79df187a28c1851a1e3bad96
-library/mlx/gui/flight.pyc	70743	2885fd67ec0e3dc0fd5a52f1670d32c4
+library/mlx/gui/flight.pyc	85395	f5ec8303901df37eedc2c0667a087c07
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
 library/email/quoprimime.pyc	8590	f6c7a8ad81d44037dd074f4871053dab
@@ -188,15 +195,17 @@
 library/gtk._gtk.pyd	1882624	bbb1d1e41bbebc6abf69bed719d50497
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
-library/_hashlib.pyc	549	06ec7e4941a974b4799ef598616be1b3
+library/_hashlib.pyc	549	7c8c9a8b98cdb0be7a837e8eefaf5a82
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
 library/unittest/result.pyc	7444	aefbb3cc79c0ff17787ce84faed7f5e8
 library/mlx/gui/__init__.pyc	107	22f268cac1c5be2f3a058810b6caead3
-library/mlx/pirep.pyc	3976	2a1f80d754390ad4460a567b0f51e2cb
+library/mlx/pirep.pyc	4830	6acde2b06cd512f9d9ad5a3f0a9c45bd
 library/traceback.pyc	11223	50ace5c2c6c040a923082442da94cd78
-library/mlx/flight.pyc	6395	23bdb06b4802bc4f6304746ac2b22615
+library/mlx/flight.pyc	6977	a88b370d812feeb19635f77890cd3ce5
 library/urllib2.pyc	43566	7eb57ea0dcd1086d1d9073a5cefb0903
 library/encodings/mac_farsi.pyc	2659	df751a61510129a25f7a43ae3aace4f7
 library/encodings/iso2022_jp_3.pyc	1699	ee1c3aa11bbe19eeb4deafa238563133
-library/cairo/_cairo.pyc	561	5c8f77f7030d50034cfe95b4e5dfcf64
+library/ctypes/__init__.pyc	18846	2bd183962453ae93d6887b303d3fd338
+library/mlx/acars.pyc	1690	06ac9e4ad5cc96b831a3c69868e6145a
+library/cairo/_cairo.pyc	561	6d8f7f1f0a93c9903b1fa037b28c78c6
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
@@ -207,5 +216,5 @@
 library/encodings/charmap.pyc	3203	2358b8eb05c66e2a2826b5db6f214547
 library/libgdk-win32-2.0-0.dll	931390	a2b46daac3d4140efdf86429f7aea476
-library/mlx/gui/common.pyc	5486	f69ea26792de51c7a8579888e8006792
+library/mlx/gui/common.pyc	6168	7065e7de65fcc84b0616b39acc598802
 library/dummy_threading.pyc	1265	5ab5c897721aeb346b5bccb84066c5bd
 library/gtk/__init__.pyc	3025	9f6605bf84c6cbd3c20f1d37e58af969
@@ -216,14 +225,14 @@
 library/bz2.pyd	76800	1ca9ececd2c84b80996fe632627f857f
 library/encodings/iso8859_16.pyc	2695	85e819a29dec2b601ce978dcd5a040fc
-library/bz2.pyc	534	4e5f62ca57a8c19eabacf80eb68a4238
+library/bz2.pyc	534	3d77de5e2109543db1731163197759bf
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
-library/_ssl.pyc	537	f62ac3faa3195d8a607d5147685e9233
-runmlx.exe	64000	fb19c5dd21903ba37c7275b63c2bb691
+library/_ssl.pyc	537	92ab12cb1ce06240a1e5ecb97e66a04d
+library/encodings/cp1250.pyc	2676	c92e287a2aa6a1c924df287d826aa3b7
 library/_ssl.pyd	720896	90826a140137efd0d806038828e16f8e
-library/pango.pyc	540	2fc0ee5f7c228526b452ab3c811a81b1
+library/pango.pyc	540	e4f80c51923532278c96f2bef1d8b920
 library/glib/__init__.pyc	187	d44c8c2772b263a36726ac0dcfc04b42
 library/pango.pyd	111616	c934763bdf125c3dc92b56db817001d4
 library/libgobject-2.0-0.dll	341594	356d697647a480562c4e2e921b13f8ed
-mlxupdate.exe	19456	08797d17ec03571ccbaa3b0cfaecb8c8
+mlxupdate.exe	19456	d8eadc14204f8dd84f8ac703de608f02
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -241,9 +250,9 @@
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
 library/unicodedata.pyd	688128	c856c31a03dc892e4f2aee93d0bfee44
-library/unicodedata.pyc	558	988f8aa77803bce90c2ee0e30462a289
+library/unicodedata.pyc	558	b2fba681a2aada099c871637b4101ca9
 library/encodings/cp1256.pyc	2675	c1bf26ed9c9b5ee0eec495138993cffb
 library/email/base64mime.pyc	5221	c536d6f0c03f029bba77f15ef6ba3d99
 library/libpangoft2-1.0-0.dll	815421	1dbfead06e26edb81f0849490210e3ff
-library/mlx/util.pyc	4209	49d5908a2ed39b53fb813a12d1ba1b09
+library/mlx/util.pyc	4495	4676324f5a1fd59923085acb283d3de4
 library/_LWPCookieJar.pyc	5440	3782ae675165b232a3f78608ac2dbccd
 library/libfontconfig-1.dll	279059	dd583bedc5efe7bbd21a8ef107dec88d
@@ -260,8 +269,9 @@
 library/email/charset.pyc	13200	771aee9802116e673d08b44bc0450f99
 library/encodings/palmos.pyc	2876	9284ad53dcfd82dfae0a79923b1cf91d
-library/mlx/web.pyc	22698	b5c7f723d0f5186f957dfd2db05c7afc
+library/mlx/web.pyc	27224	114cac1ea28fc8df0bb5d841af880ae9
 library/mlx/gui/gates.pyc	5384	b4f9b4e5d696609a643a529d15458e61
 library/gobject/propertyhelper.pyc	8878	cc3598dab17d31ff46a6dee669ccb5ed
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
+library/share/locale/hu/LC_MESSAGES/gtk20.mo	58794	6ee4491ae7bc9d3dfb778578eb29a0b3
 library/email/__init__.pyc	2752	5e1a1ba649ac697d631b031987d09c33
 library/glob.pyc	2238	d06c4386d18e2ab7f53fb866599403cc
@@ -275,5 +285,5 @@
 library/gio/__init__.pyc	809	bc9332556e93183a58be5c10cba18557
 library/weakref.pyc	13028	5d1c14275f47e8cf6d40bc6877fde976
-library/mlx/fs.pyc	5672	39e352275317ddec1ecd3e03e2c2535d
+library/mlx/fs.pyc	8832	eab72e32441131b81492a19e3bfe4f0f
 library/nturl2path.pyc	1755	7835082f2dd6806f99cc25bed13ff7dc
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
@@ -289,4 +299,5 @@
 library/encodings/cp862.pyc	8003	261df6dd1a6e5ad90a83dfc739a25e0a
 library/mlx/gui/statusicon.pyc	5604	0c8c2a27e99ba9dc1a3e6a0ad3976c67
+library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
 library/codecs.pyc	34722	339dc90c17d548887dbcf1bbbcae5d5b
@@ -297,13 +308,14 @@
 library/encodings/koi8_u.pyc	2686	b7e5a52eaaaf6b340075b40dc7596f42
 library/atk.pyd	208384	ebe7f0929eac23a3205d17d69906e172
-library/mlx/update.pyc	16214	b36c195163e122e597d25e8caae9ffd5
+library/_ctypes.pyc	546	6c89ef9ae857bf8f48fc7e9da0d6f0fc
+library/mlx/update.pyc	16214	1927a43ac4580370198b6d2f091f835f
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
 library/encodings/utf_16_le.pyc	1854	dfa68705c26fd303adfc7ce3322166f2
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
-library/_socket.pyc	546	7dfe9517e1b653cd4763aaca628672fa
+library/_socket.pyc	546	189b1b321ab4d5b88d1a31f630334e58
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
 library/tempfile.pyc	18526	e2cc2d63c29e15f20ee9325e790643a3
-library/glib/_glib.pyc	555	81f15e60b4c07f454d4e0a557a542137
-library/win32api.pyc	549	fcd35e189efce391737136adbbbf6fd1
+library/glib/_glib.pyc	555	c79a13c714eb1b10ac2771c21d7854cf
+library/win32api.pyc	549	6153d81921ce994c09765e1b36e1375a
 library/encodings/iso8859_13.pyc	2696	f901ae0bbcfbb78f0c1783e89b2e2dc5
 library/zlib1.dll	100352	d90dad5eea33a178bac56fff2847d4c2
@@ -314,20 +326,20 @@
 library/encodings/mac_latin2.pyc	4717	564dbaf5c296a147203eb821dc2466ba
 library/mlx/__init__.pyc	103	029f80bd80f880e6ca70ef4ba46f7d06
-library/mlx/i18n.pyc	44763	b5ce3575eb9b1edf2d8cdf59715e1a15
+library/mlx/i18n.pyc	54950	876523432568278cc84d0a9a971db279
 library/xml/sax/saxutils.pyc	12382	32ed045b3b520234ebea6a508a6569fe
 library/encodings/mac_turkish.pyc	2739	1682e228ddfd2e74e3ccaee0b65e7261
-library/mlx/pyuipc_sim.pyc	42681	7a5628c6c24ee86cfe4337977277cdee
+library/mlx/pyuipc_sim.pyc	43532	fe15a7610a4058a4059a09bb2e91bccf
 library/encodings/cp875.pyc	2636	c72faa5d1cb6105ae81c971448fea479
 library/socket.pyc	15488	35f8eb455d6d8df8e19826d1dd7193f2
-library/select.pyc	543	03dd9de6ea3dfaef6848af0e4b36679b
+library/select.pyc	543	bbac0009d04cc2bf8261d9c5a1f1fe38
 library/encodings/iso2022_jp.pyc	1683	40c2b92127f99452f84b250c2b4b2cda
 library/libgthread-2.0-0.dll	44287	7ad6f303082b382bff7bafbab246c61f
 library/select.pyd	11776	d90bf525f9f6c9c3aa6532fa6e569b4f
-library/pyuipc.pyc	543	76fdf14457e7a837c88bf9e405e37a75
+library/pyuipc.pyc	543	4137395fef659d877474d7a9bd914b5c
 library/pyuipc.pyd	129220	58cdce7763687f456383c93fd3404d9f
 library/encodings/johab.pyc	1638	5346c11a863ffbcfb21aba8f1d2236b7
 library/encodings/quopri_codec.pyc	3365	01342d4d2735bcbfeb333d784297547a
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
-library/encodings/cp1250.pyc	2676	c92e287a2aa6a1c924df287d826aa3b7
+library/encodings/iso2022_jp_2.pyc	1699	4b917caa926e5779176612409c66be39
 library/inspect.pyc	38547	836f659fad54f5ee7e8f9d565003aacd
 library/pickle.pyc	36348	2b55640f6f4e2fd70d95482fd16bfb73